Package javax.security.auth.message.callback

## Class PrivateKeyCallback.SubjectKeyIDRequest

- java.lang.Object
- - javax.security.auth.message.callback.PrivateKeyCallback.SubjectKeyIDRequest

All Implemented Interfaces:
  `PrivateKeyCallback.Request`

Enclosing class:
  PrivateKeyCallback

    public static class PrivateKeyCallback.SubjectKeyIDRequest
    extends java.lang.Object
    implements PrivateKeyCallback.Request

### Constructor Summary

Constructors
`SubjectKeyIDRequest​(byte[] subjectKeyID)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getSubjectKeyID()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubjectKeyIDRequest

    public SubjectKeyIDRequest​(byte[] subjectKeyID)

### Method Detail

#### getSubjectKeyID

    public byte[] getSubjectKeyID()